%define build_number 1
%define var_dir /var/opt/belledonne-communications
%define opt_dir /var/www/html/sites/flexisip-hfts/public

%bcond_with deb

%if %{with deb}
    %define web_user www-data
    %define apache_conf_path /etc/apache2/conf-available
%else
    %define web_user apache
    %if "%{?dist}" == ".el7"
        %define apache_conf_path /opt/rh/httpd24/root/etc/httpd/conf.d
    %else
        %define apache_conf_path /etc/httpd/conf.d
    %endif
%endif

Name:           bc-flexisip-hfts
Version:        
Release:        %{build_number}%{?dist}
Summary:        Flexisip HTTP File Transfer server.

Group:          Applications/Communications
License:        GPL
URL:            http://www.linphone.org
Source0:        flexisip-hfts.tar.gz

Requires:       php, php-mysqlnd, php-xml

%description
A PHP script managing file transfer according to Rich Communications Service recommendation : RCC.07 v6.0 section 3.5.4.8 File Transfer via HTTP.

%prep
%setup -n flexisip-hfts

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT%{var_dir}/flexisip-http-file-transfer-tmp"

mkdir -p "$RPM_BUILD_ROOT%{opt_dir}"
cp -R *.php "$RPM_BUILD_ROOT%{opt_dir}/"
cp -R README* "$RPM_BUILD_ROOT%{opt_dir}/"
cp -R LICENSE.txt "$RPM_BUILD_ROOT%{opt_dir}/"

mkdir -p "$RPM_BUILD_ROOT/etc/flexisip-hfts"
cp -R flexisip-hfts.conf "$RPM_BUILD_ROOT/etc/flexisip-hfts"

mkdir -p $RPM_BUILD_ROOT%{apache_conf_path}
cp httpd/flexisip-hfts.conf "$RPM_BUILD_ROOT%{apache_conf_path}"

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cp logrotate/flexisip-hfts.conf "$RPM_BUILD_ROOT/etc/logrotate.d"

mkdir -p $RPM_BUILD_ROOT/etc/cron.d
cp cron.d/flexisip-hfts "$RPM_BUILD_ROOT/etc/cron.d"
sed -i 's/apache/%{web_user}/' "$RPM_BUILD_ROOT/etc/cron.d/flexisip-hfts"

#log files, must be declared as ghost in the file section so they are removed when the package is uninstalled
mkdir -p $RPM_BUILD_ROOT%{var_dir}/log
touch $RPM_BUILD_ROOT%{var_dir}/log/flexisip-hfts.log

%post
touch %{var_dir}/log/flexisip-hfts.log
chown %{web_user}:%{web_user} %{var_dir}/log/flexisip-hfts.log

# it seems crontab daemon parses only fresh files, to be sure, touch this one when the install is done
touch /etc/cron.d/flexisip-hfts

# if selinux is installed on the system (even if not enabled)
which setsebool
if [ $? -eq 0 ] ; then
setsebool -P httpd_can_network_connect_db on
chcon -t httpd_sys_rw_content_t %{var_dir}/log/flexisip-hfts.log
fi

%files
%{opt_dir}/*.php
%{opt_dir}/README*
%{opt_dir}/LICENSE.txt
%dir %attr(744,%{web_user},%{web_user}) %{var_dir}/flexisip-http-file-transfer-tmp
%dir %{var_dir}/log
%ghost %attr(644, %{web_user}, %{web_user}) %{var_dir}/log/flexisip-hfts.log

%config(noreplace) /opt/vgisc/app/flexisip/etc/flexisip-hfts/flexisip-hfts.conf
%config(noreplace) %{apache_conf_path}/flexisip-hfts.conf
%config(noreplace) /etc/logrotate.d/flexisip-hfts.conf
%config(noreplace) /etc/cron.d/flexisip-hfts

%clean
rm -rf $RPM_BUILD_ROOT
